• Server support is delivered by the Chevereto Community. As the server is a basic requirement, any server issue won't be considered for Chevereto Tech Support and it will be handled in this section.

Update issues

graybeard

Core license
License owner
I attempted an update and received the following message.
Composer detected issues in your platform: Your Composer dependencies require a PHP version ">= 7.2.5". You are running 5.6.40.
I can no longer access the app.
 

Rodolfo

Chevereto creator
Chevereto Staff
Newer releases will always require updated libraries. Consider updating your stack.

Wort mention that php 5.6 is deprecated, you should be running 7.2 at least already, for performance and safety.
 

konj

Core license
License owner
Exactly, little bit off topic, even the php version 8 is becoming at 26. November major update, and alot things from actual php versions 7.2, 7.3, 7.4 will not work anymore:

  • The real type
  • Magic quotes legacy
  • array_key_exists() with objects
  • FILTER_SANITIZE_MAGIC_QUOTES filter
  • Reflection export() methods
  • mb_strrpos() with encoding as 3rd argument
  • implode() parameter order mix
  • Unbinding $this from non-static closures
  • hebrevc() function
  • convert_cyr_string() function
  • money_format() function
  • ezmlm_hash() function
  • restore_include_path() function
  • allow_url_include ini directive

Here are the complete notes https://github.com/php/php-src/blob/master/UPGRADING#L20
as you can see @graybeard there is always something new or its geting constantly updated,
thats why always the best solution its to get everything working secure and fast, is to stay or be on required php version for Chevereto,
especially for upcoming Chevereto updates, which you can follow easily trough upgrades on the current php version.
 

mkerala2

Network license
Beta tester
I attempted an update and received the following message.
Composer detected issues in your platform: Your Composer dependencies require a PHP version ">= 7.2.5". You are running 5.6.40.
I can no longer access the app.
Reset the PHP using in PHP version selector in Cpanel. It might be showing already 7.2 or higher, but switch it to different version and then back again to PHP 7.4. You might have deleted the php.ini file while trying to update.
 

graybeard

Core license
License owner
I can't upgrade to the version needed. I have 4 vBulletin sites running on the same host and they're not compatible. I wonder if there is a way to downgrade the version of chevereto?
 

Rodolfo

Chevereto creator
Chevereto Staff
From your panel you can download any old release. Simply replace the files and install the database backup.

Note that I don't have recommend to do this at all. You should always run the latest release.
 
Top